## gengetopt 1.1.1

=== Makefile ===
# This file is licensed to you under the license specified in the included file
# `LICENSE'. Look there for further details.

#
# May be you wish to change this
#
CC = cc
#
################################


OBJS = parser.tab.o lex.yy.o gengetopt.o gm.o argsdef.o yywrap.o yyerror.o

all: gengetopt

gengetopt: $(OBJS)
	$(CC) -o gengetopt $(OBJS)

lex.yy.c: scanner.lex parser.tab.h
	flex scanner.lex
parser.tab.c: parser.y
	bison -d parser.y

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

gengetopt.o: ggos.h
gm.o: ggos.h
lex.yy.o: parser.tab.h argsdef.h
parser.tab.o: argsdef.h
argsdef.o: argsdef.h

clean:
	-rm gengetopt core *.o
maintainer-clean: clean
	-rm lex.yy.c parser.tab.c parser.tab.h

## gengetopt 2.18-1

=== debian/changelog ===
gengetopt (2.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replaced flex-old by flex.
  * debian/control, debian/rules: Switched to cdbs.
  * debian/control: Depends on texinfo.
  * debian/patches/01man.diff: Added.
  * debian/patches/02info.diff: Added.

 -- Bart Martens <bartm@knars.be>  Tue, 26 Sep 2006 07:38:43 +0200

gengetopt (2.17-1) unstable; urgency=low

  * New maintainer.  Closes: #266484.
  * New upstream release.  Closes: #287658.
  * debian/*: Repackaged with dh-make 0.41.
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Tue,  8 Aug 2006 23:45:42 +0200

gengetopt (2.10-2) unstable; urgency=low

  * QA Upload
  * Change maintainer to QA Group
  * Recompile for CXX transition
  * Remove unneccessary build-dependency on libstdc++-dev
    (Closes: #268595)
  * Update config.sub/config.guess to fix FTBFS on GNU/k*BSD
    (Closes: #326523)
  * Update FSF address in copyright file

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 28 Oct 2005 20:52:03 +0200

gengetopt (2.10-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 12 Jun 2003 20:36:03 -0700

gengetopt (2.9-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri, 18 Apr 2003 12:25:11 -0700

gengetopt (2.8.1-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  5 Apr 2003 19:49:36 -0800

gengetopt (2.8-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 30 Dec 2002 15:58:58 -0800

gengetopt (2.7.1-1) unstable; urgency=low

  * New upstream release 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  3 Aug 2002 10:29:37 -0700

gengetopt (2.7-2) unstable; urgency=low

  * added builddep on libstdc++-dev
  * to fix an FTBFS on hppa: (Closes: #152823)
    - added HAVE_NAMESPACES=1 to config.h.in to fix an FTBFS
    - removed dependency on my_sstream.h and src/includes/sstream from
      several files; why upstream ships their own sstream...

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 15 Jul 2002 04:26:06 -0700

gengetopt (2.7-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri, 12 Jul 2002 22:40:10 -0700

gengetopt (2.6-2) unstable; urgency=low

  * debian/watch: updated to uscan version 2 format 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 13 Apr 2002 15:32:52 -0700

gengetopt (2.6-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 23 Mar 2002 19:22:32 -0800

gengetopt (2.5-1) unstable; urgency=low

  * New upstream release
  * minor fix to manpage (Closes: Bug#121571)
  * minor change to src/gm.c to avoid using generating header protection
    ifdef's that start with an underscore (Closes: Bug#121575)

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 19 Dec 2001 13:07:22 -0800

gengetopt (2.4-1) unstable; urgency=low

  * New maintainer
  * New upstream release
  * Completely reworked the debian/* files
  * No longer installs /usr/lib/debian-test/tests/gengetopt

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 29 Aug 2001 08:06:09 -0700

gengetopt (2.3-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 12 May 2001 09:52:49 -0400

gengetopt (2.2-4) unstable; urgency=low

  * debian/watch: support uscan

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat, 12 May 2001 09:35:54 -0400

gengetopt (2.2-3) unstable; urgency=low

  * debian/control: build-depends on flex (Closes:Bug#95958)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri, 11 May 2001 21:22:37 -0400

gengetopt (2.2-2) unstable; urgency=low

  * debian/control: move build-depends line to source section.  Upgrade
    policy to 3.5.2.
  * debian/rules: honor DEB_BUILD_OPTIONS.  Keep Makefile and several
    other intermediate files out of .diff file.
  * debian/tests: support debian-test

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri, 27 Apr 2001 21:00:53 -0400

gengetopt (2.2-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri, 19 Jan 2001 20:22:48 -0500

gengetopt (2.1-1) unstable; urgency=low

  * New upstream release

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 26 Sep 2000 21:25:16 -0400

gengetopt (2.0-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on debhelper
  * copyright: Updated license.  Removed reference to old GPL location.
  * Moved examples to /usr/share/doc/gengetopt/examples
  * src/gm.c: Add cast, to eliminate error message when generated code is
    compiled as C++.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sat,  2 Sep 2000 13:34:37 -0400

gengetopt (1.1.1-3) unstable; urgency=low

  * Install /usr/doc/gengetopt symlink.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 15 Sep 1999 17:14:55 -0400

gengetopt (1.1.1-2) unstable; urgency=low

  * Link against glibc2.1
  * Update to FHS
  * Update reference to GPL in copyright file

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Mon,  6 Sep 1999 20:21:08 -0400

gengetopt (1.1.1-1) unstable; urgency=low

  * New upstream release.  License clarified: GPL.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 17 Aug 1999 20:21:29 -0400

gengetopt (1.1.0-1) unstable; urgency=low

  * Initial Release.  Includes man page written for Debian.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 20 Jun 1999 10:15:03 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gengetopt
Section: devel
Priority: optional
Maintainer: Sampo Savola <samposav@paju.oulu.fi>
Build-Depends: debhelper (>= 5), autotools-dev, flex, cdbs, texinfo
Standards-Version: 3.7.2

Package: gengetopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: skeleton main.c generator
 gengetopt reads an interface description file, and writes a skeleton
 main.c file.  gengetopt supports: long and short options, 11 types of
 parameters (including flag, int, double, string, and function call),
 and a usage message.
 .
  Homepage: http://www.gnu.org/software/gengetopt/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

install/gengetopt::
	rm -f debian/gengetopt/usr/share/doc/gengetopt/AUTHORS
	rm -f debian/gengetopt/usr/share/doc/gengetopt/COPYING
	rm -f debian/gengetopt/usr/share/doc/gengetopt/INSTALL
	rm -f debian/gengetopt/usr/share/doc/gengetopt/LICENSE

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/gengetopt/gengetopt-(.*)\.tar\.gz

## gengetopt 2.22.4

=== debian/changelog ===
gengetopt (2.22.4-3) unstable; urgency=low

  * Change my email address.
  * Bump Standards.
  * Add gbp config file.
  * Add .gitignore file.
  * Switch to debhelper 7 + autotools_dev add-on.
  * Drop CDBS.
  * Update debian/docs file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Jul 2010 19:23:36 +0200

gengetopt (2.22.4-2) unstable; urgency=low

  * New maintainer (Closes: #544449).
  * Set DM-Upload-Allowed to yes.
  * Update debian/copyright.
  * Move packaging to collab-maint's git area.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 25 Apr 2010 11:55:37 +0200

gengetopt (2.22.4-1) unstable; urgency=low

  * QA upload
  * New upstream release
  * debian/control:
    - Bump debhelper build dependency to 7
    - Add Depends on dpkg (>= 1.15.4) | install-info
    - Update Standards-Version to 3.8.4 (No changes needed)
  * debian/compat: Bumped to 7
  * debian/dirs: Removed
  * debian/patch/03repack.diff: Removed
  * debian/gengetopt.doc-base: Added
  * debian/copyright: Do not mention that the tarball was repackaged
  * debian/rules:
    - Remove /usr/share/info/dir and /usr/share/doc/gengetopt/ChangeLog
  * Switch to 3.0 (quilt) source format
    - Do not include simple-patchsys.mk in debian/rules
  * Update 01man.patch to follow DEP3

 -- Vincent Legout <vincent@legout.info>  Mon, 19 Apr 2010 12:18:14 +0800

gengetopt (2.22.2-1) unstable; urgency=low

  * QA upload, orphaning this package.
  * New upstream release.
  * Repackaged upstream tarball, and related to that:
    + removed texinfo from Build-Depends in debian/control,
    + mentioned repackaged tarball in debian/copyright,
    + removed debian/info,
    + removed debian/patches/02info.diff,
    + and added debian/patches/03repack.diff.
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Wed, 17 Jun 2009 12:40:58 +0200

gengetopt (2.22.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/patches/02info.diff: Updated.
  * debian/patches/03gcc43.diff: Removed.

 -- Bart Martens <bartm@debian.org>  Wed, 07 May 2008 21:14:14 +0200

gengetopt (2.22-2) unstable; urgency=low

  * debian/patches/03gcc43.diff: Added.  Closes: #441530.

 -- Bart Martens <bartm@debian.org>  Sat, 02 Feb 2008 12:32:08 +0100

gengetopt (2.22-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Tue, 22 Jan 2008 18:29:08 +0100

gengetopt (2.21-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@knars.be>  Mon, 06 Aug 2007 20:35:43 +0200

gengetopt (2.20-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/patches/01man.diff: Edited.
  * debian/patches/02info.diff: Edited.
  * debian/rules: Added "SAVERESTORE".

 -- Bart Martens <bartm@knars.be>  Sun, 15 Jul 2007 09:19:11 +0200

gengetopt (2.19.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Updated for new upstream release.

 -- Bart Martens <bartm@knars.be>  Sat, 24 Mar 2007 20:05:19 +0100

=== debian/control ===
Source: gengetopt
Section: devel
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev (>= 20100122.1~),
 flex
Standards-Version: 3.9.0
Homepage: http://www.gnu.org/software/gengetopt/
Vcs-Git: git://git.debian.org/collab-maint/gengetopt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gengetopt.git

Package: gengetopt
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 dpkg (>= 1.15.4) | install-info
Description: skeleton main.c generator
 gengetopt reads an interface description file, and writes a skeleton
 main.c file.  gengetopt supports: long and short options, 11 types of
 parameters (including flag, int, double, string, and function call),
 and a usage message.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with autotools_dev $@

SAVERESTORE := \
	doc/cmdline1.c \
	doc/cmdline1.h \
	doc/cmdline1.h.texinfo \
	doc/cmdline2.c \
	doc/cmdline2.h \
	doc/gengetopt.html \
	doc/help_output.texinfo \
	doc/main1.cc.texinfo \
	doc/multiple_example.c.texinfo \
	doc/sample1.ggo.texinfo \
	doc/sample1.output.texinfo \
	doc/samples.stamp \
	doc/test_conf_parser.c.texinfo \
	doc/test_conf_parser_ov2.c.texinfo \
	doc/test_multiple_parsers.c.texinfo \
	tests/test_conf_parser_ov2.c \
	tests/test_conf_parser_ov3.c \
	doc/help_modes.output.texinfo \
	doc/sample1_2.output.texinfo \
	doc/test_modes_cmd.ggo.texinfo \
	tests/test_conf_parser_ov4.c \
	tests/test_manual_help_cmd.c \
	tests/test_manual_help_cmd.h \

override_dh_auto_clean:
	dh_auto_clean
	for f in $(SAVERESTORE) ; do [ ! -e $$f.d-r-orig ] || mv $$f.d-r-orig $$f ; done

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gengetopt/usr/share/doc/gengetopt/AUTHORS
	rm -f debian/gengetopt/usr/share/doc/gengetopt/COPYING
	rm -f debian/gengetopt/usr/share/doc/gengetopt/INSTALL
	rm -f debian/gengetopt/usr/share/doc/gengetopt/LICENSE
	rm -f debian/gengetopt/usr/share/doc/gengetopt/THANKS
	rm -f debian/gengetopt/usr/share/doc/gengetopt/ChangeLog
	rm -f debian/gengetopt/usr/share/info/dir

## gengetopt 2.22.5

=== debian/changelog ===
gengetopt (2.22.5-1) unstable; urgency=low

  * New upstream release:
    - correctly wraps and preprocess the specified usage string
    - handle escaped newline chars in the .ggo file correctly
    - initialize enum variables with a generated null value (makes
      the parser compilable in C++)
    - removed warnings in generated parser when only flags are used
  * Fix gbp config file.
  * Bump Standards.
  * Drop unneeded dependency on dpkg (>= 1.15.4), stable has a newer version.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Sep 2011 10:27:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
  autotools-dev (>= 20100122.1~),
  flex
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/gengetopt/
 Vcs-Git: git://git.debian.org/collab-maint/gengetopt.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gengetopt.git
@@ -13,8 +13,7 @@
 Package: gengetopt
 Architecture: any
 Depends: ${shlibs:Depends},
- ${misc:Depends},
- dpkg (>= 1.15.4) | install-info
+ ${misc:Depends}
 Description: skeleton main.c generator
  gengetopt reads an interface description file, and writes a skeleton
  main.c file.  gengetopt supports: long and short options, 11 types of

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://ftp.gnu.org/gnu/gengetopt/ .*gengetopt-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## gengetopt 2.22.6

=== debian/changelog ===
gengetopt (2.22.6-2) unstable; urgency=low

  * Upload to unstable.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:48:17 +0200

gengetopt (2.22.6-1) experimental; urgency=low

  * New upstream release.
  * Switch from autotools-dev to dh-autoreconf.
  * Refresh patches.
  * Bump debhelper requirements to automatically enable hardening.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Nov 2012 01:31:28 +0000

=== debian/control ===
Source: gengetopt
Section: devel
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 flex
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/gengetopt/
Vcs-Git: git://anonscm.debian.org/collab-maint/gengetopt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gengetopt.git

Package: gengetopt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: skeleton main.c generator
 gengetopt reads an interface description file, and writes a skeleton
 main.c file.  gengetopt supports: long and short options, 11 types of
 parameters (including flag, int, double, string, and function call),
 and a usage message.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with autotools_dev $@
+	dh $@ --with autoreconf
 
 SAVERESTORE := \
 	doc/cmdline1.c \

## gengetopt 2.22.6%2Bdfsg0

=== debian/changelog ===
gengetopt (2.22.6+dfsg0-3) unstable; urgency=medium

  * QA upload.
  * Fix the Makefile dependencies. (Closes: #906464)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Aug 2018 01:55:14 +0300

gengetopt (2.22.6+dfsg0-2) unstable; urgency=medium

  * QA upload.
  * Allow cross-building (mark as Multi-Arch: foreign), thanks Dima Kogan
    (Closes: #856908)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 01 Nov 2017 23:47:54 +0100

gengetopt (2.22.6+dfsg0-1) unstable; urgency=medium

  * Repackaging to get rid of DFSG incompatible docs. (Closes: #708880)
  * debian/patches/9001-dfsg.patch:
    - Don't build docs until upstream clarifies licensing.
  * Do not provide doc-base file as docs have been stripped out.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Jul 2014 18:57:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gengetopt
 Section: devel
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9~),
  dh-autoreconf,
  flex
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gengetopt/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gengetopt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gengetopt.git
 
 Package: gengetopt
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## gengetopt 2.22.6+dfsg0

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export REPACK_SH=$(CURDIR)/debian/repack.sh
 
 %:
 	dh $@ --with autoreconf
@@ -41,3 +43,6 @@
 	rm -f debian/gengetopt/usr/share/doc/gengetopt/THANKS
 	rm -f debian/gengetopt/usr/share/doc/gengetopt/ChangeLog
 	rm -f debian/gengetopt/usr/share/info/dir
+
+get-orig-source:
+	uscan --force-download

## gengetopt 2.23%2Bdfsg1

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/; , dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://ftp.gnu.org/gnu/gengetopt/ .*gengetopt-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|tar\.xz|zip|pm\.gz|jar|shar\.gz|shar\.Z) debian uupdate

## gengetopt 2.23+dfsg1

=== debian/changelog ===
gengetopt (2.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: use dh12
  * debian/control: bump standards to 4.5.0 (no changes)
  * debian/rules: prevent parallel testing (Closes: #953361)
  * debian/control: change long description (Closes: #926988)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Mar 2020 19:57:20 +0100

gengetopt (2.22.6+dfsg0-4) unstable; urgency=medium

  * new maintainer (Closes: #842941)
  * debian/control: use dh11
  * debian/control: use https for homepage
  * debian/control: bump standards to 4.3.0 (no changes)
  * debian/control: move VCS to salsa
  * debian/control: remove dh-autoreconf dependency
  * debian/watch: update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Aug 2019 18:55:14 +0200

=== debian/control ===
Source: gengetopt
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12)
	, flex
Standards-Version: 4.5.0
Homepage: https://www.gnu.org/software/gengetopt/
Vcs-Browser: https://salsa.debian.org/alteholz/gengetopt
Vcs-Git: https://salsa.debian.org/alteholz/gengetopt.git


Package: gengetopt
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: skeleton main.c generator
 gengetopt reads an interface description file, and writes a file containing
 a command-line parser function.  gengetopt supports: long and short options,
 11 types of parameters (including flag, int, double, string, and function
 call), and a usage message.

=== debian/rules ===
--- 
+++ 
@@ -44,5 +44,8 @@
 	rm -f debian/gengetopt/usr/share/doc/gengetopt/ChangeLog
 	rm -f debian/gengetopt/usr/share/info/dir
 
-get-orig-source:
-	uscan --force-download
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test --no-parallel
+endif
+
